sqlsrv_num_fields
sqlsrv_prepare
SQLSRV Functions
PHP Manual

# sqlsrv_num_rows

(No version information available, might only be in SVN)

sqlsrv_num_rows — Retrieves the number of rows in a result set

### Description

mixed sqlsrv_num_rows ( resource `$stmt` )

Retrieves the number of rows in a result set. This function requires that the statment resource be created with a static or keyset cursor. For more information, see sqlsrv_query(), sqlsrv_prepare(), or » Specifying a Cursor Type and Selecting Rows in the Microsoft SQLSRV documentation.

### Parameters

`stmt`

  The statement for which the row count is returned. The statment resource must be created with a static or keyset cursor. For more information, see sqlsrv_query(), sqlsrv_prepare(), or » Specifying a Cursor Type and Selecting Rows in the Microsoft SQLSRV documentation.

### Return Values

Returns the number of rows retrieved on success and `FALSE` if an error occurred. If a forward cursor (the default) or dynamic cursor is used, `FALSE` is returned.

### Examples

Example #1 sqlsrv_num_rows() example

`<?php
$server = "serverName\sqlexpress";
$connectionInfo = array( "Database"=>"dbName", "UID"=>"username", "PWD"=>"password" );
$conn = sqlsrv_connect( $server, $connectionInfo );
$sql = "SELECT * FROM Table_1";
$params = array();
$options = array( "Scrollable" => SQLSRV_CURSOR_KEYSET );
$stmt = sqlsrv_query( $conn, $sql , $params, $options );
$row_count = sqlsrv_num_rows( $stmt );
if ($row_count === false)
echo "Error in retrieveing row count.";
else
echo $row_count;
?>`

### See Also

- sqlsrv_has_rows() - Indicates whether the specified statement has rows
- sqlsrv_rows_affected() - Returns the number of rows modified by the last INSERT, UPDATE, or DELETE query executed

sqlsrv_num_fields
sqlsrv_prepare
SQLSRV Functions
PHP Manual